Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.taglibs.xtags.objects
Class XTagConstants

    java.lang.Object
      com.ejie.r01f.taglibs.xtags.objects.XTagConstants

public class XTagConstants
extends java.lang.Object

Constrantes

Field Summary
`static java.lang.String` | `CHECK_DATE`
`static java.lang.String` | `CHECK_JAVASCRIPT`
`static java.lang.String` | `CHECK_NOTNULL`
`static java.lang.String` | `CHECK_NUMBER`
`static java.lang.String[]` | `htmlEscapedChars`
`static char[]` | `htmlToEscapeChars`
`static java.lang.String` | `PACKAGE`
`static int` | `TAG_CHECKLIST`
`static int` | `TAG_CHECKOPTION`
`static int` | `TAG_DATE`
`static int` | `TAG_EDITOR`
`static int` | `TAG_HIDDEN`
`static int` | `TAG_OBJECT`
`static int` | `TAG_OBJECTLIST`
`static int` | `TAG_PASSWORD`
`static int` | `TAG_RPCFORM`
`static int` | `TAG_SELECT`
`static int` | `TAG_TEXT`
`static int` | `TAG_TEXTAREA`
`static int` | `TAG_VIRTUAL`
`static java.lang.String` | `XTAG_CURROBJECT`
`static java.lang.String` | `XTAG_NAME_PATH_SEPARATOR`
`static java.lang.String` | `XTAG_PROTOCOLDATA`
`static java.lang.String` | `XTAG_RPCCALL`
`static java.lang.String` | `XTAG_TABS_COLLECTION`

Constructor Summary
`XTagConstants()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PACKAGE

    public static final java.lang.String PACKAGE

See Also:
  Constant Field Values

### htmlToEscapeChars

    public static final char[] htmlToEscapeChars

### htmlEscapedChars

    public static final java.lang.String[] htmlEscapedChars

### XTAG_CURROBJECT

    public static final java.lang.String XTAG_CURROBJECT

See Also:
  Constant Field Values

### XTAG_NAME_PATH_SEPARATOR

    public static final java.lang.String XTAG_NAME_PATH_SEPARATOR

See Also:
  Constant Field Values

### XTAG_TABS_COLLECTION

    public static final java.lang.String XTAG_TABS_COLLECTION

See Also:
  Constant Field Values

### XTAG_RPCCALL

    public static final java.lang.String XTAG_RPCCALL

See Also:
  Constant Field Values

### XTAG_PROTOCOLDATA

    public static final java.lang.String XTAG_PROTOCOLDATA

See Also:
  Constant Field Values

### TAG_VIRTUAL

    public static final int TAG_VIRTUAL

See Also:
  Constant Field Values

### TAG_OBJECT

    public static final int TAG_OBJECT

See Also:
  Constant Field Values

### TAG_OBJECTLIST

    public static final int TAG_OBJECTLIST

See Also:
  Constant Field Values

### TAG_TEXT

    public static final int TAG_TEXT

See Also:
  Constant Field Values

### TAG_TEXTAREA

    public static final int TAG_TEXTAREA

See Also:
  Constant Field Values

### TAG_HIDDEN

    public static final int TAG_HIDDEN

See Also:
  Constant Field Values

### TAG_PASSWORD

    public static final int TAG_PASSWORD

See Also:
  Constant Field Values

### TAG_EDITOR

    public static final int TAG_EDITOR

See Also:
  Constant Field Values

### TAG_DATE

    public static final int TAG_DATE

See Also:
  Constant Field Values

### TAG_SELECT

    public static final int TAG_SELECT

See Also:
  Constant Field Values

### TAG_RPCFORM

    public static final int TAG_RPCFORM

See Also:
  Constant Field Values

### TAG_CHECKLIST

    public static final int TAG_CHECKLIST

See Also:
  Constant Field Values

### TAG_CHECKOPTION

    public static final int TAG_CHECKOPTION

See Also:
  Constant Field Values

### CHECK_NOTNULL

    public static final java.lang.String CHECK_NOTNULL

See Also:
  Constant Field Values

### CHECK_DATE

    public static final java.lang.String CHECK_DATE

See Also:
  Constant Field Values

### CHECK_NUMBER

    public static final java.lang.String CHECK_NUMBER

See Also:
  Constant Field Values

### CHECK_JAVASCRIPT

    public static final java.lang.String CHECK_JAVASCRIPT

See Also:
  Constant Field Values

Constructor Detail

### XTagConstants

    public XTagConstants()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD